List invitations
curl --request GET \
--url https://api.vollna.com/v1/invitations \
--header 'X-API-TOKEN: <api-key>'import requests
url = "https://api.vollna.com/v1/invitations"
headers = {"X-API-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-TOKEN': '<api-key>'}};
fetch('https://api.vollna.com/v1/invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 13,
"upworkProfile": {
"id": 1,
"label": "<string>",
"type": "freelancer"
},
"upworkOrganization": {
"id": 1,
"label": "<string>",
"type": "freelancer"
},
"invitationUid": "1234567890",
"title": "Symfony PHP Developer for Educational Application",
"jobPostingUid": "1234567890",
"invitationLetter": "Hello!\n\nI'd like to invite you to take a look at the job I've posted...",
"clientUid": "1234567890",
"contractor": {
"id": 1,
"fullName": "John Doe"
},
"contractorUid": "1234567890",
"invitedAt": "2022-08-01T20:04:53+00:00",
"createdAt": "2025-05-17T13:30:44+00:00",
"updatedAt": "2025-05-17T13:30:44+00:00",
"statusLabel": "Job is closed",
"project": {
"title": "<string>",
"description": "<string>",
"skills": "<string>",
"url": "<string>",
"publishedAt": "2023-11-07T05:31:56Z",
"clientQuestions": [
"<string>"
],
"categories": [
"<string>"
],
"site": "<string>",
"budget": {
"amount": "<string>"
},
"clientDetails": {
"paymentMethodVerified": true,
"country": "<string>",
"totalSpent": 103580,
"totalHires": 100,
"hireRate": 0.5,
"rating": 4.5,
"reviews": 78
},
"clientWorkHistory": [
{
"job_info": {
"uid": "<string>",
"title": "<string>",
"type": "<string>"
},
"status": "<string>",
"start_date": "<string>",
"end_date": "<string>",
"total_hours": 123,
"total_charge": 123,
"feedback": {
"score": 123,
"comment": "<string>"
},
"feedback_to_client": {
"score": 123,
"comment": "<string>"
},
"rate": {
"amount": 123
}
}
]
}
}
],
"pagination": {
"total": 100,
"page": 1,
"limit": 20,
"pages": 5
}
}{
"error": "<string>"
}Invitations
List invitations
Returns a list of invitations for a specific Upwork profile
GET
/
invitations
List invitations
Authorizations
API token for authentication
Query Parameters
Upwork profile ID (from /profiles API endpoint)
Organization ID (from /organizations API endpoint)
Page number
Required range:
x >= 1Items per page
Required range:
10 <= x <= 100Sort field
Available options:
invitedAt Sort order
Available options:
ASC, DESC Was this page helpful?
⌘I